# Bootstrap for google.golang.org/api
%bcond_with bootstrapping
# Run tests in check section
%bcond_without check

# https://github.com/census-instrumentation/opencensus-go
%global goipath         go.opencensus.io
%global forgeurl        https://github.com/census-instrumentation/opencensus-go
Version:                0.22.4

%gometa

%global common_description %{expand:
OpenCensus Go is a Go implementation of OpenCensus, a toolkit for collecting 
application performance and behavior monitoring data. Currently it consists 
of three major components: tags, stats, and tracing.}

Name:           %{goname}
Release:        %mkrel 2
Summary:        A stats collection and distributed tracing framework
Group:          Development/Other
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/golang/groupcache/lru)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(golang.org/x/net/context)
%if %{without bootstrapping}
BuildRequires: golang(google.golang.org/api/support/bundler)
%endif
BuildRequires: golang(google.golang.org/grpc)
BuildRequires: golang(google.golang.org/grpc/codes)
BuildRequires: golang(google.golang.org/grpc/grpclog)
BuildRequires: golang(google.golang.org/grpc/metadata)
BuildRequires: golang(google.golang.org/grpc/stats)
BuildRequires: golang(google.golang.org/grpc/status)

%if %{with check}
BuildRequires: golang(github.com/google/go-cmp/cmp)
BuildRequires: golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires: golang(golang.org/x/net/http2)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
# Fails on i686, armv7hl
%gocheck -d plugin/ochttp
%endif

%gopkgfiles


%changelog
* Sun Sep 06 2020 pterjan <pterjan> 0.22.4-2.mga8
+ Revision: 1623028
- Disable bootstrap

* Thu Sep 03 2020 guillomovitch <guillomovitch> 0.22.4-1.mga8
+ Revision: 1621427
- new version 0.22.4

* Mon Jun 15 2020 joequant <joequant> 0.18.0-1.mga8
+ Revision: 1593335
- update deps

* Sun Nov 25 2018 pterjan <pterjan> 0.18.0-1.mga7
+ Revision: 1334360
- imported package golang-opencensus

